Subject: bug#39452: [PATCH] vc-git-state fails for filenames with wildcards

From: Dmitry Gutov <[email-masked]>
Date: Mon, 17 May 2021 04:05:15 +0300

On 12.05.2021 19:04, Lars Ingebrigtsen wrote:
> Wolfgang's patch is larger, but doesn't have these drawbacks (if I
> understand things correctly) -- so wouldn't it make sense to apply
> Wolfgang's patch here?

It's a pretty big fix for a straightforward (if fundamental) problem.

The existence of the FAQ entry personally just tells me that the other 
approach has been proven in the field (by Magit), and if a FAQ entry is 
enough, the side-effects are probably not that common or serious. 
Because users, in general, don't read documentation.

But other opinions welcome.